// src/axios/api.js
import ApiConstant from "@/utils/ApiConstant";
import axiosInstance from '@/utils/http';

export const getScore = () =>{
  axiosInstance({
    url: ApiConstant.Score.getScore,
    method: 'get',
    params: {},
    showLoading: false,//是否显示加载图标
  }).then((response) => {
    return response.data
  }).then((data) => {
    if(data.success){
      //将成绩信息保存到缓存中
      localStorage.setItem('scoreInfo',JSON.stringify(data.result.scoreInfo))
      localStorage.setItem('fillVolunteer',JSON.stringify(data.result.fillVolunteer))
      localStorage.setItem('volunteer',JSON.stringify(data.result.volunteer))
    }
    //有数据情况下
  }).catch((error: any) => {
    console.log(error);
  }).finally(() => {
  });
}

export const registerUser = (params:any) => {
  return axiosInstance({
    url: ApiConstant.User.register,
    method: 'POST',
    data: params,
    showLoading:true
  }).then((response) => {
    return response.data;
  }).catch((error: any) => {
    console.log(error);
    throw error;
  });
};

export const passwordChanger = (params:any) => {
  return axiosInstance({
    url: ApiConstant.User.passwordChanger,
    method: 'POST',
    data: params,
    showLoading:true
  }).then((response) => {
    return response.data;
  }).catch((error: any) => {
    console.log(error);
    throw error;
  });
};

// // 登录
// export const Login = (data) => {
//   return service({
//     url: "/login",
//     method: "post",
//     data,
//   });
// };

// // Get请求
// export const Get = (url, data) => {
//   return service({
//     url,
//     method: "get",
//     params: data,
//   });
// };

// // Delete请求
// export const Delete = (url) => {
//   return service({
//     url,
//     method: "delete",
//   });
// };

// // Post请求
// export const Post = (url, data) => {
//   return service({
//     url,
//     method: "post",
//     data,
//   });
// };

// // 上传文件请求
// export const PostFile = (url, data, onUploadProgress) => {
//   return service({
//     url,
//     method: "post",
//     data,
//     headers: {
//       "Content-Type": "multipart/form-data",
//     },
//     onUploadProgress,
//   });
// };

// // Put请求
// export const Put = (url, data) => {
//   return service({
//     url,
//     method: "put",
//     data,
//   });
// };

// // Patch请求
// export const Patch = (url, data) => {
//   return service({
//     url,
//     method: "patch",
//     data,
//   });
// };
